com.microfocus.awm.model

## Interface ITaurusSystem

- All Superinterfaces:
    org.eclipse.core.runtime.IAdaptable, IResource
  All Known Implementing Classes:
    AbstractTaurusSystem, ConfiguredTaurusSystem, DefaultConfigurationSystem, LocalTaurusSystem

      public interface ITaurusSystem
      extends IResource

  AWM systems are the main container and parent of `ITaurusApplication`s and have a reference to an `ISystemImage`. They are created by `ITaurusSystemProxy`s.

  An AWM system with a reference on a remote `ISystemImage` will grant AWM tools used in one of its applications access to the remote system.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ID_PREFIX` Cache ID prefix.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ITaurusApplication>` | `getApplications(org.eclipse.core.runtime.IProgressMonitor pMon)` Gets all AWM applications provided by the system.
    `java.lang.String` | `getCustomAttribute(java.lang.String pName)` Gets the value of a custom system attribute by the given name.
    `java.util.Map<java.lang.String,java.lang.String>` | `getCustomAttributes()` Gets all custom attributes that have been set for the system.
    `java.lang.String` | `getProviderID()` Gets the ID of the `ISystemProvider` for the AWM system.
    `ISystemImage` | `getSystemImage()` Gets the system image this AWM system belongs to.
    `void` | `refresh(org.eclipse.core.runtime.IProgressMonitor pMon)` Refreshes the system and all its applications.

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, delete, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Field Detail

    - #### ID_PREFIX

          static final java.lang.String ID_PREFIX

      Cache ID prefix.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getApplications

          java.util.List<ITaurusApplication> getApplications(org.eclipse.core.runtime.IProgressMonitor pMon)
                                                      throws TaurusCoreException

      Gets all AWM applications provided by the system.
      Parameters:
        `pMon` - a progress monitor
      Returns:
        a list of `ITaurusApplication`s
      Throws:
        `TaurusCoreException` - if applications for the system cannot be retrieved

    - #### refresh

          void refresh(org.eclipse.core.runtime.IProgressMonitor pMon)
                throws TaurusCoreException

      Refreshes the system and all its applications. This has the same effect as removing the system and adding it again, except existing object instances will not be replaced.
      Parameters:
        `pMon` - a progress monitor
      Throws:
        `TaurusCoreException` - if refreshing the system fails for any reason

    - #### getSystemImage

          ISystemImage getSystemImage()

      Gets the system image this AWM system belongs to.
      Returns:
        an `ISystemImage`

    - #### getCustomAttribute

          java.lang.String getCustomAttribute(java.lang.String pName)

      Gets the value of a custom system attribute by the given name.
      Parameters:
        `pName` - the name of the desired attribute
      Returns:
        the custom attribute value or `null` if no attribute with the given name was set

    - #### getCustomAttributes

          java.util.Map<java.lang.String,java.lang.String> getCustomAttributes()

      Gets all custom attributes that have been set for the system. Custom attributes will be cached by AWM.
      Returns:
        a list of custom attributes (key/value pairs)

    - #### getProviderID

          java.lang.String getProviderID()

      Gets the ID of the `ISystemProvider` for the AWM system. Can return `null` if the system does not have a system provider.
      Returns:
        the ID of the system provider or `null`
      See Also:
        `TaurusExtensionPointUtility.getTaurusSystemProviders()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.